mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Runtime.InteropServices.ComVisible(true)

The .NET Framework value type represents an unmanaged version of the Win32 OVERLAPPED structure. The layout of this structure must be identical to OVERLAPPED. Four additional DWORDs are reserved at the end.

Provides an explicit layout that is visible from unmanaged code and that will have the same layout as the Win32 OVERLAPPED structure with additional reserved fields at the end.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IntPtr To be added

  Specifies the handle to an event set to the signaled state when the operation is complete. The calling process must set this member either to zero or to a valid event handle before calling any overlapped functions.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IntPtr To be added

  Specifies the length of the data transferred. Reserved for operating system use.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IntPtr To be added

  Specifies a system-dependent status. Reserved for operating system use.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  This member is ignored when reading from or writing to named pipes and communications devices and in those cases its value should be zero.

  Specifies the high word of the byte offset at which to start the transfer.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  The file position is a byte offset from the start of the file. The calling process sets this member before calling the OR function. This member is ignored when reading from or writing to named pipes and communications devices, and in those cases its value should be zero.

  Specifies a file position at which to start the transfer.